%global __requires_exclude pear\\(vendor/autoload.php\\)|pear\\(xmlapi.php\\)|pear\\(Console/CommandLine.php\\) 
## pear(xmlapi.php) may need to be packaged, but for the time being a bug has been filed
%define oname        %{name}-%{version}

%global  php_inidir    %{_sysconfdir}/php.d

# Paths. Do not include trailing slash
%global roundcube %{_datadir}/roundcubemail
%global roundcube_plugins %{roundcube}/plugins
%global roundcube_conf %{_sysconfdir}/roundcubemail
%global roundcube_log %{_logdir}/roundcubemail
%global roundcube_lib %{_localstatedir}/lib/roundcubemail

Name:		roundcubemail
Version:	1.0.7
Release:	%mkrel 1
Summary:	Round Cube Webmail is a browser-based multilingual IMAP client
Group:		System/Servers
License:	GPLv3
# Use the -dep tarballs. These use system copies of the PHP stuff
# rather than including them, which is better for our purposes.
# - AdamW 2007/07
URL:		http://www.roundcube.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{oname}.tar.gz
Source1:        roundcubemail.conf
Source2:	roundcubemail.logrotate
Source3:	roundcubemail-README.mageia
# Elegantly handle removal of moxieplayer Flash binary in tinymce
# media plugin (see "Drop precompiled flash" in %%prep)
Patch0:		roundcubemail-0.9.3-no_swf.patch
Epoch:		1
Requires:	apache-mod_php
Requires:	php-gd
Requires:	php-gettext
Requires:	php-iconv
Requires:	php-mbstring
Requires:	php-mcrypt
Requires:	php-openssl
Requires:	php-session
Requires:	php-pdo_mysql
Requires:	php-pear-Auth_SASL
Requires:	php-pear-Mail_Mime
Requires:	php-pear-Mail_mimeDecode
Requires:	php-pear-Net_SMTP
Requires:	php-pear-Net_LDAP2
Requires:	php-pear-Net_Sieve
Requires:	php-pear-Net_Socket
Requires:	php-pear-MDB2
Requires:	php-pear-Net_IDNA2
Requires(pre):	php-pear >= 1.9.0
Requires:	php-xml
Requires:	iRony
Requires:	php-pear-Crypt_GPG
# The installer suggests the use of these, but they're not
# required - AdamW 2011/01
Recommends:	php-fileinfo
Recommends:	php-intl
Recommends:	php-pear-MDB2_Driver_mysql
Recommends:	php-zip
BuildArch:	noarch

%description
RoundCube Webmail is a browser-based multilingual IMAP client with an 
application-like user interface. It provides full functionality you 
expect from an e-mail client, including MIME support, address book, 
folder manipulation, message searching and spell checking.
RoundCube Webmail is written in PHP and requires a database: MariaDB,
PostgreSQL and SQLite are known to work.
The user interface is fully skinnable using XHTML and CSS 2.

%prep
%setup -q -n %{oname}
%patch0 -p1

# remove any reference to sqlite in config file so people don't mistakely
# assume it works
sed -i '/sqlite/d' config/defaults.inc.php
sed -i 's/\r//' SQL/mssql.initial.sql

# Drop precompiled flash
find . -type f -name '*.swf' | xargs rm -f

# Wipe bbcode plugin from bundled TinyMCE to make doubleplus sure we cannot
# be vulnerable to CVE-2012-4230, unaddressed upstream
echo "CVE-2012-4230: removing tinymce bbcode plugin, check path if this fails."
test -d program/js/*mce/plugins/bbcode && rm -rf program/js/*mce/plugins/bbcode || exit 1


%build

%install
install -d %{buildroot}%{roundcube}
cp -pr ./* %{buildroot}%{roundcube}
cp -a ./.htaccess %{buildroot}%{roundcube}/.htaccess
# Remove settings from .htaccess we don't want
sed -i \
    -e '/memory_limit/d' \
    -e '/post_max_size/d' \
    -e '/upload_max_filesize/d' \
    %{buildroot}%{roundcube}/.htaccess

rm -rf %{buildroot}%{roundcube}/installer

mkdir -p %{buildroot}%{_webappconfdir}
cp -pr %SOURCE1 %{buildroot}%{_webappconfdir}


mkdir -p %{buildroot}%{roundcube_conf}
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
cp -pr %SOURCE2 %{buildroot}%{_sysconfdir}/logrotate.d/roundcubemail

mkdir -p %{buildroot}%{roundcube_lib}/plugins/enigma
mkdir -p %{buildroot}%{roundcube_log}

# use dist files as config files
mv %{buildroot}%{roundcube}/config/config.inc.php.sample %{buildroot}%{roundcube_conf}/config.inc.php
mv %{buildroot}%{roundcube}/config/defaults.inc.php %{buildroot}%{roundcube_conf}/defaults.inc.php
# keep any other config files too
mv %{buildroot}%{roundcube}/config/* %{buildroot}%{roundcube_conf}/
rm -rf %{buildroot}%{roundcube}/config
rm -rf %{buildroot}%{roundcube}/logs
rm -rf %{buildroot}%{roundcube}/temp

pushd %{buildroot}%{roundcube}
ln -s ../../..%{roundcube_conf} config
ln -s ../../..%{roundcube_log} logs
ln -s ../../..%{roundcube_lib} temp
popd

# Enigma
mv %{buildroot}%{roundcube_plugins}/enigma/config.inc.php.dist %{buildroot}%{roundcube_conf}/enigma.inc.php
rm -rf %{buildroot}%{roundcube_plugins}/enigma/config.inc.php
pushd %{buildroot}%{roundcube_plugins}/enigma
ln -s ../../../../..%{roundcube_conf}/enigma.inc.php config.inc.php
rm -rf home/
ln -s ../../../../..%{roundcube_lib}/plugins/enigma/ home
popd
mkdir -p %{buildroot}%{roundcube_lib}/plugins/enigma

# ACL plugin
mv %{buildroot}%{roundcube_plugins}/acl/config.inc.php.dist %{buildroot}%{roundcube_conf}/acl.inc.php
rm -rf %{buildroot}%{roundcube_plugins}/acl/config.inc.php
pushd %{buildroot}%{roundcube_plugins}/acl/
ln -s ../../../../..%{roundcube_conf}/acl.inc.php config.inc.php
popd

# Managesieve plugin
mv %{buildroot}%{roundcube_plugins}/managesieve/config.inc.php.dist %{buildroot}%{roundcube_conf}/managesieve.inc.php
pushd %{buildroot}%{roundcube_plugins}/managesieve/
ln -s ../../../../..%{roundcube_conf}/managesieve.inc.php config.inc.php
popd

# Password plugin
mv %{buildroot}%{roundcube_plugins}/password/config.inc.php.dist %{buildroot}%{roundcube_conf}/password.inc.php
pushd %{buildroot}%{roundcube_plugins}/password/
ln -s ../../../../..%{roundcube_conf}/password.inc.php config.inc.php
popd

# clean up the buildroot
rm -rf %{buildroot}%{roundcube}/{CHANGELOG,INSTALL,LICENSE,README,UPGRADING,SQL}

# Fix anything executable that does not have a shebang
for file in `find %{buildroot}/%{roundcube} -type f -perm /a+x`; do
    [ -z "`head -n 1 $file | grep \"^#!/\"`" ] && chmod -v 644 $file
done

# Find files with a shebang that do not have executable permissions
for file in `find %{buildroot}/%{roundcube} -type f ! -perm /a+x`; do
    [ ! -z "`head -n 1 $file | grep \"^#!/\"`" ] && chmod -v 755 $file
done

# Find files that have non-standard-executable-perm
find %{buildroot}/%{roundcube} -type f -perm /g+wx -exec chmod -v g-w {} \;

# Find files that are not readable
find %{buildroot}/%{roundcube} -type f ! -perm /go+r -exec chmod -v go+r {} \;

#
# Exclude the following external libraries
#
# php-pear-Net-IDNA2
rm -rf %{buildroot}/%{roundcube}/program/lib/Net/IDNA2/ \
    %{buildroot}/%{roundcube}/program/lib/Net/IDNA2.php
# php-pear-Net-SMTP
rm -rf %{buildroot}/%{roundcube}/program/lib/Net/SMTP.php
# php-pear-Net-Socket
rm -rf %{buildroot}/%{roundcube}/program/lib/Net/Socket.php
# php-pear-Mail
rm -rf %{buildroot}/%{roundcube}/program/lib/Mail/
# php-pear-MDB2
rm -rf %{buildroot}/%{roundcube}/program/lib/MDB2/ \
    %{buildroot}/%{roundcube}/program/lib/MDB2.php
# php-pear
rm -rf %{buildroot}/%{roundcube}/program/lib/PEAR.php \
    %{buildroot}/%{roundcube}/program/lib/PEAR5.php
# php-pear-Net-Sieve
rm -rf %{buildroot}/%{roundcube_plugins}/managesieve/lib/Net


%pre
# needed if you have kolab installed
if [ -f "/etc/roundcubemail/kolab.inc.php" ]; then
    mv /etc/roundcubemail/kolab.inc.php /etc/roundcubemail/libkolab.inc.php
fi

if [ -L %{roundcube_plugins}/enigma/home -a ! -d %{roundcube_plugins}/enigma/home ]; then
    rm -rf %{roundcube_plugins}/enigma/home >/dev/null 2>&1 || :
fi



%post
# replace default des string in config file for better security
function makedesstr () {
    chars=(0 1 2 3 4 5 6 7 8 9 a b c d e f g h i j k l m n o p q r s t u v w x y z A
    B C D E F G H I J K L M N O P Q R S T U V W X Y Z)

    max=${#chars[*]}

    for i in `seq 1 24`; do
        let rand=${RANDOM}%%${max}
        str="${str}${chars[$rand]}"
    done
    echo $str
}

sed -i "s/rcmail-\!24ByteDESkey\*Str/`makedesstr`/" /etc/roundcubemail/defaults.inc.php || : &> /dev/null

sed -i -r -e "s/.*(\s*define\(\s*'RCMAIL_VERSION'\s*,\s*').*('\);)/\1%{version}-%{release}\2/g" \
    %{roundcube}/program/include/iniset.php || :

if [ -f "%{php_inidir}/99_apcu.ini" ]; then
    if [ ! -z "`grep ^apcu.enabled=1 %{php_inidir}/99_apc.ini`" ]; then

        /sbin/systemctl condrestart %{httpd_name}

    fi
fi

/usr/share/roundcubemail/bin/updatedb.sh \
    --dir /usr/share/doc/roundcubemail/SQL/ \
    --package roundcube || : \
    >/dev/null 2>&1

exit 0

cat > README.urpmi <<EOF
WARNING: when upgrading from <= 0.9.5 the old configuration files named 
main.inc.php and db.inc.php are now deprecated and should be replaced 
with one single config.inc.php file. Run the ./bin/update.sh script to 
get this conversion done or manually merge the files. 
Also see the UPGRADE file in the doc section.
NOTE: the new config.inc.php should only contain options that differ 
from the ones listed in defaults.inc.php.
EOF

%files
%doc CHANGELOG INSTALL LICENSE README.md SQL UPGRADING
%{_datadir}/%{name}
%dir %{_sysconfdir}/%{name}
%attr(0755,root,apache)%{_logdir}/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
# Lets write out them specifically, so we can see when additional files are added (or deleted)
%attr(0640,root,apache)%config(noreplace) %{_sysconfdir}/%{name}/acl.inc.php
%attr(0640,root,apache)%config(noreplace) %{_sysconfdir}/%{name}/defaults.inc.php
%attr(0640,root,apache)%config(noreplace) %{_sysconfdir}/%{name}/config.inc.php
%attr(0640,root,apache)%config(noreplace) %{_sysconfdir}/%{name}/enigma.inc.php
%attr(0640,root,apache)%config(noreplace) %{_sysconfdir}/%{name}/managesieve.inc.php
%attr(0640,root,apache)%config(noreplace) %{_sysconfdir}/%{name}/mimetypes.php
%attr(0640,root,apache)%config(noreplace) %{_sysconfdir}/%{name}/password.inc.php
%config(noreplace) %{_webappconfdir}/%{name}.conf
%attr(0775,root,apache) %dir %{_localstatedir}/lib/roundcubemail
%attr(0770,root,apache) %dir %{_localstatedir}/lib/roundcubemail/plugins
%attr(0770,root,apache) %dir %{_localstatedir}/lib/roundcubemail/plugins/enigma



%changelog
* Wed Nov 04 2015 spuhler <spuhler> 1:1.0.7-1.mga5
+ Revision: 897844
- upgrade to vers. 1.0.7
  * this fixes Security issue Bug 17085 ,
- add  pear\\(Console/CommandLine.php\\)  toglobal __requires_exclude
  * per upstream Console/CommandLine.php is not needed in this version
- upgrade to vers. 1.0.6
 * fixes bug # 16249, security and bug fixes

* Fri Feb 20 2015 spuhler <spuhler> 1:1.0.5-4.mga5
+ Revision: 816106
- fixed to %%posts script (deleted ".service")

* Wed Feb 18 2015 spuhler <spuhler> 1:1.0.5-3.mga5
+ Revision: 815704
- defined the unexpanded macro "php_inidir"
- changed apc.ini to apcu.ini
  * we replaced php-apc with -php-acpu

* Mon Feb 02 2015 spuhler <spuhler> 1:1.0.5-2.mga5
+ Revision: 813079
- remvoved %%version from post script /usr/share/doc/roundcubemail-%%{version}/SQL
  * the dir is named /doc/roundcubemail/SQL

* Sun Jan 25 2015 spuhler <spuhler> 1:1.0.5-1.mga5
+ Revision: 812186
- upgrade to ver. 1.0.5
  * fixes recently reported (upstream) Cross-Site-Scripting vulnerability

* Wed Jan 07 2015 spuhler <spuhler> 1:1.0.4-3.mga5
+ Revision: 809201
- removed Conflicts: php-apc
 * the bug has been resolved by replacing php-apc

* Tue Jan 06 2015 luigiwalser <luigiwalser> 1:1.0.4-2.mga5
+ Revision: 808844
- drop precompiled flash
- patch tinymce to cope with missing Flash binary (from fedora)
- drop tinymce bundled bbcode plugin to fix CVE-2012-4230

* Mon Dec 29 2014 spuhler <spuhler> 1:1.0.4-1.mga5
+ Revision: 807078
- upgrade to ver. 1.0.4
  * Fix possible CSRF attacks to some address book operations as well as to the ACL and Managesieve plugins.
- added Conflicts: php-apc
  * prevents server from segfault

* Tue Oct 28 2014 spuhler <spuhler> 1:1.0.3-1.mga5
+ Revision: 793993
- upgrade to ver. 1.0.3
  * fixes a lot of bugs

* Wed Oct 15 2014 umeabot <umeabot> 1:1.0.2-5.mga5
+ Revision: 749880
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1:1.0.2-4.mga5
+ Revision: 734250
- rebuild for pear deps

* Fri Sep 26 2014 tv <tv> 1:1.0.2-3.mga5
+ Revision: 725228
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 1:1.0.2-2.mga5
+ Revision: 688696
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes
    - s/uggests:/Recommends:/

* Thu Jul 31 2014 spuhler <spuhler> 1:1.0.2-1.mga5
+ Revision: 658386
- upgrade to vers. 1.0.2

* Thu Jul 17 2014 spuhler <spuhler> 1:1.0.1-2.mga5
+ Revision: 653346
- changed permissions on the logdir and libdir, otherwise apache is unable to write the logs and some config files

* Sat Jun 07 2014 spuhler <spuhler> 1:1.0.1-1.mga5
+ Revision: 634473
- upgrade to ver. 1.0.1

* Fri Apr 11 2014 spuhler <spuhler> 1:1.0.0-0.5.mga5
+ Revision: 613391
- added more exceptions

* Thu Apr 10 2014 spuhler <spuhler> 1:1.0.0-0.4.mga5
+ Revision: 613341
+ rebuild (emptylog)

* Thu Apr 10 2014 spuhler <spuhler> 1:1.0.0-0.3.mga5
+ Revision: 613278
- added _requires-exceptions (for automatic requires)
  * the requires is in a installed pacakge, but it cannot find it

  + oden <oden>
    - typo fix

* Thu Apr 10 2014 spuhler <spuhler> 1:1.0.0-0.2.mga5
+ Revision: 613159
- put the Epoch back in, otherwise it will not upgrade

* Wed Apr 09 2014 spuhler <spuhler> 1.0.0-0.1.mga5
+ Revision: 613108
- README.mageia added to docs
- upgrade to ver. 1.0.0
- adjusted structure of spec file
- added logrotate file
- moved the config from the spec file into roundcubemail.conf file

* Mon Oct 28 2013 oden <oden> 1:0.9.5-1.mga4
+ Revision: 547609
- make it backportable

  + guillomovitch <guillomovitch>
    - new version

* Sat Oct 19 2013 umeabot <umeabot> 1:0.9.4-2.mga4
+ Revision: 534212
- Mageia 4 Mass Rebuild

* Mon Sep 09 2013 dams <dams> 1:0.9.4-1.mga4
+ Revision: 476525
- new version 0.9.4

* Thu Aug 29 2013 dams <dams> 1:0.9.3-2.mga4
+ Revision: 472986
- Adds back INSTALL file mga #9916)

* Fri Aug 23 2013 oden <oden> 1:0.9.3-1.mga4
+ Revision: 470242
- 0.9.3

* Tue Jun 18 2013 oden <oden> 1:0.9.2-1.mga4
+ Revision: 444666
- 0.9.2

* Wed Apr 17 2013 kharec <kharec> 1:0.9.0-1.mga3
+ Revision: 410239
- update to 0.9.0 to close #9768

* Tue Apr 02 2013 dams <dams> 1:0.8.6-1.mga3
+ Revision: 407314
- new version 0.8.6

* Wed Mar 13 2013 spuhler <spuhler> 1:0.8.5-3.mga3
+ Revision: 402221
- corrected spelling of Requires: php-pdo_mysql from php-pdo-mysql

* Wed Mar 13 2013 spuhler <spuhler> 1:0.8.5-2.mga3
+ Revision: 402216
- added Requires: php-pdo-mysql

* Mon Feb 11 2013 dams <dams> 1:0.8.5-1.mga3
+ Revision: 397860
- new version 0.8.5 (CVE-2012-6121)

* Sun Feb 03 2013 spuhler <spuhler> 1:0.8.4-5.mga3
+ Revision: 394179
- corrected the log permission

* Sat Feb 02 2013 spuhler <spuhler> 1:0.8.4-4.mga3
+ Revision: 394143
- changed %%{_logdir}/%%{name} to
  attr(640,root,apache)%%{_logdir}/%%{name}

* Sat Feb 02 2013 spuhler <spuhler> 1:0.8.4-3.mga3
+ Revision: 394137
- converted the Directory section from
  Order deny,allow
  Deny from all
  to
  AllowOverride All
  Require all granted

* Mon Jan 14 2013 umeabot <umeabot> 1:0.8.4-2.mga3
+ Revision: 380417
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 dams <dams> 1:0.8.4-1.mga3
+ Revision: 318208
- new version 0.8.4

* Sun Nov 11 2012 dams <dams> 1:0.8.3-1.mga3
+ Revision: 317048
- new version 0.8.3

* Mon Oct 08 2012 dams <dams> 1:0.8.2-1.mga3
+ Revision: 303592
- new version 0.8.2

* Sun Sep 09 2012 dams <dams> 1:0.8.1-1.mga3
+ Revision: 291171
- new version 0.8.1
- add a patch from fedora to fix php settings
- clean and update specfile

* Thu Apr 05 2012 dams <dams> 1:0.7.2-1.mga2
+ Revision: 228642
- new version 0.7.2

* Thu Apr 05 2012 dams <dams> 1:0.7.1-2.mga2
+ Revision: 228591
- remove 'php-pspell' as a require

  + guillomovitch <guillomovitch>
    - no need to advertise distribution-specific documentation in package description

* Mon Jan 09 2012 dams <dams> 1:0.7.1-1.mga2
+ Revision: 194074
- new version 0.7.1

* Thu Dec 29 2011 guillomovitch <guillomovitch> 1:0.7-3.mga2
+ Revision: 188742
- ensure db configuration file is not world-readable
- don't ship useless file under configuration directory
- use herein document for README.urpmi
- fix some typos in README.urpmi

* Thu Dec 29 2011 dams <dams> 1:0.7-2.mga2
+ Revision: 188735
- Update README.urpmi to warn about 'upgrade' of the database (bug #3862)

* Tue Dec 20 2011 dams <dams> 1:0.7-1.mga2
+ Revision: 184800
- new version 0.7

* Tue Oct 04 2011 dams <dams> 1:0.6-1.mga2
+ Revision: 151509
- update to 0.6

* Wed Sep 14 2011 tv <tv> 1:0.5.4-1.mga2
+ Revision: 143232
- new release

  + dams <dams>
    - Remove link to Mandriva Wiki
    - Clean spec file
    - imported package roundcubemail


* Fri Jun 17 2011 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1:0.5.3-1mdv2010.1
+ Revision: 685717
- 0.5.3

* Mon Apr 25 2011 Adam Williamson <awilliamson@mandriva.org> 1:0.5.2-1
+ Revision: 659054
- new release 0.5.2

* Wed Mar 02 2011 Adam Williamson <awilliamson@mandriva.org> 1:0.5.1-1
+ Revision: 641366
- new release 0.5.1
- drop php-pear-DB dep (superseded by MDB2)

* Thu Jan 27 2011 Adam Williamson <awilliamson@mandriva.org> 1:0.5-1
+ Revision: 633158
- new release 0.5
- update dependencies
- package .dist files for the installer
- drop the patch (merged upstream a while ago)

* Wed Nov 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.2-1mdv2011.0
+ Revision: 598346
- 0.4.2

  + Adam Williamson <awilliamson@mandriva.org>
    - add required suhosin config option to the apache config file
    - new release 0.4 beta

* Mon Mar 01 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.3.1-4mdv2010.1
+ Revision: 513034
- P0: security fix for CVE-2010-0464 (fedora)

* Sun Feb 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.3.1-3mdv2010.1
+ Revision: 501716
- deny acces to the SQL directory
- install under %%{_datadir} instead of %%{_localstatedir}
- no need to version apache configuration file
- rely on filetrigger for reloading apache configuration begining with 2010.1, rpm-helper macros otherwise

* Thu Jan 21 2010 Adam Williamson <awilliamson@mandriva.org> 1:0.3.1-2mdv2010.1
+ Revision: 494702
- add some more explicit php-pear deps

* Sun Nov 08 2009 Frederik Himpe <fhimpe@mandriva.org> 1:0.3.1-1mdv2010.1
+ Revision: 463124
- Update to new version 0.3.1

* Sat Sep 26 2009 Frederik Himpe <fhimpe@mandriva.org> 1:0.3-1mdv2010.0
+ Revision: 449287
- Update to new version 0.3
- Requires php-gd, php-pspell and php-mcrypt (from Debian)
- Requires php-pear-Auth_SASL (used by SIEVE client)

* Mon May 25 2009 Frederik Himpe <fhimpe@mandriva.org> 1:0.2.2-1mdv2010.0
+ Revision: 379650
- update to new version 0.2.2

* Mon Mar 16 2009 Frederik Himpe <fhimpe@mandriva.org> 1:0.2.1-1mdv2009.1
+ Revision: 355585
- Update to new version 0.2.1
- Remove patch integrated upstream

* Wed Feb 11 2009 Adam Williamson <awilliamson@mandriva.org> 1:0.2-2mdv2009.1
+ Revision: 339327
- rediff the patch
- add upstream patch to fix CVE-2009-0413

* Fri Jan 23 2009 Adam Williamson <awilliamson@mandriva.org> 1:0.2-1mdv2009.1
+ Revision: 332693
- package installer/ (needed for the upgrade script) and UPGRADING doc file
- adjust the conditionals a bit for the filename
- new release 0.2 final

* Wed Oct 22 2008 Adam Williamson <awilliamson@mandriva.org> 1:0.2-0.beta.2mdv2009.1
+ Revision: 296537
- don't use the 'www' group (which apparently I invented...)
- fix the config file relocation for changed upstream implementation
- suggest php-pear-MDB2_Driver_mysql

* Tue Oct 21 2008 Adam Williamson <awilliamson@mandriva.org> 1:0.2-0.beta.1mdv2009.1
+ Revision: 296313
- update to new version 0.2-beta

* Mon May 12 2008 Adam Williamson <awilliamson@mandriva.org> 1:0.1.1-1mdv2009.0
+ Revision: 206481
- new release 0.1.1

* Tue Mar 18 2008 Adam Williamson <awilliamson@mandriva.org> 1:0.1-1mdv2008.1
+ Revision: 188649
- don't package the installer
- new release 0.1 final
- prettify pre-release conditionals
- clean spec a little

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 09 2007 Adam Williamson <awilliamson@mandriva.org> 1:0.1-0.rc2.1mdv2008.1
+ Revision: 107158
- new release 0.1rc2

* Thu Jul 26 2007 Adam Williamson <awilliamson@mandriva.org> 1:0.1-0.rc1.4mdv2008.0
+ Revision: 55688
- correct tarball name
- update requirements to pull in all the necessary PHP stuff
- use the new 'pure GPL' tarball which doesn't include its own copies of various PHP libraries
- update license
- update description
- add some comments

* Sun Jun 17 2007 Adam Williamson <awilliamson@mandriva.org> 1:0.1-0.rc1.3mdv2008.0
+ Revision: 40586
- substantial cleanup following webapp policy

* Tue May 22 2007 Adam Williamson <awilliamson@mandriva.org> 1:0.1-0.rc1.2mdv2008.0
+ Revision: 29868
- don't wipe temp dir prior to install

* Tue May 22 2007 Adam Williamson <awilliamson@mandriva.org> 1:0.1-0.rc1.1mdv2008.0
+ Revision: 29856
- 0.1 rc1
- big spec clean based on squirrelmail spec


* Sat Feb 17 2007 Emmanuel Andry <eandry@mandriva.org> 0.1beta2-1mdv2007.0
+ Revision: 122166
- Import roundcubemail

